/*
* Math library
*
* Copyright (C) 2016 Intel Corporation. All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
*   * Redistributions of source code must retain the above copyright
*     notice, this list of conditions and the following disclaimer.
*   * Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in
*     the documentation and/or other materials provided with the
*     distribution.
*   * Neither the name of Intel Corporation nor the names of its
*     contributors may be used to endorse or promote products derived
*     from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
* A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*
* Author Name <jingwei.zhang@intel.com>
*   History:
*   03-14-2016 Initial version. numerics svn rev. 12864
*/
	.file "atanl_table.c"
	.section .rodata, "a"
	.align 16
	.align 16
	.hidden __libm_atanl_table_128
	.globl __libm_atanl_table_128
__libm_atanl_table_128:
	.long	0x00000000,0x00000000
	.long	0x00000000,0x00000000
	.long	0x55c00000,0x3f7fffd5
	.long	0x4bfcee57,0xbd5115a3
	.long	0x5bc00000,0x3f8fff55
	.long	0x220c39d5,0xbd623595
	.long	0x18800000,0x3f97fee0
	.long	0x286313f8,0xbdaad1e5
	.long	0xbb800000,0x3f9ffd55
	.long	0x542779d7,0x3da4bb12
	.long	0xf1600000,0x3fa3fd65
	.long	0x2e4614e3,0x3d9393b2
	.long	0x84400000,0x3fa7fb81
	.long	0x0c377c7c,0xbd9e4bac
	.long	0xf1400000,0x3fabf8dd
	.long	0x89fe34b3,0xbd88eef1
	.long	0xb7400000,0x3faff55b
	.long	0x39269b0e,0xbda30216
	.long	0xbf000000,0x3fb1f86d
	.long	0xbda88e23,0x3da05ab1
	.long	0x0e800000,0x3fb3f59f
	.long	0xa7663af4,0xbd8d5314
	.long	0x4fc00000,0x3fb5f232
	.long	0x62a36910,0x3db2d7b2
	.long	0x26000000,0x3fb7ee18
	.long	0x6093567e,0x3d878874
	.long	0x53c00000,0x3fb9e941
	.long	0xd19970eb,0x3dafb9e2
	.long	0xbe400000,0x3fbbe39e
	.long	0xbef71e53,0x3dc783e1
	.long	0x70400000,0x3fbddd21
	.long	0xcd620065,0xbdc0a2c8
	.long	0x9ac00000,0x3fbfd5ba
	.long	0x39a6ed0d,0xbdb3d092
	.long	0xcce00000,0x3fc0e6ad
	.long	0x8a397391,0x3dc40881
	.long	0xfb000000,0x3fc1e1fa
	.long	0x92de9bad,0x3da0dc9b
	.long	0xb3000000,0x3fc2dcbd
	.long	0x386bc7d5,0xbda17803
	.long	0xe8c00000,0x3fc3d6ee
	.long	0x61a3b0cf,0x3da989b1
	.long	0xa9c00000,0x3fc4d087
	.long	0x47cc8fc7,0x3dca4f17
	.long	0x1e400000,0x3fc5c981
	.long	0x0a956580,0xbd83d962
	.long	0x89800000,0x3fc6c1d4
	.long	0xb5aad628,0x3db267b1
	.long	0x4c000000,0x3fc7b97b
	.long	0xecb84f4b,0xbdd8d27e
	.long	0xe2800000,0x3fc8b06e
	.long	0xee732cfd,0x3dae70a2
	.long	0xe9400000,0x3fc9a6a8
	.long	0x0e7b00f4,0x3dd64313
	.long	0x1b400000,0x3fca9c23
	.long	0xd177d13a,0x3d593ca1
	.long	0x52c00000,0x3fcb90d7
	.long	0xfdd09de6,0xbdd6cfae
	.long	0x8a800000,0x3fcc84bf
	.long	0x656f741a,0xbdb7a324
	.long	0xdf400000,0x3fcd77d5
	.long	0x8e6dcbab,0xbdcfa8c9
	.long	0x8e800000,0x3fce6a14
	.long	0x619ac881,0x3dc6ec4d
	.long	0xf9400000,0x3fcf5b75
	.long	0x9d52470c,0xbdc37f22
	.long	0x51200000,0x3fd025fa
	.long	0x59cb7da1,0xbdd99a4a
	.long	0x97c00000,0x3fd09dc5
	.long	0x58b91ce4,0x3dd86362
	.long	0x36200000,0x3fd1151a
	.long	0xb2372370,0x3db0c726
	.long	0xa3200000,0x3fd18bf5
	.long	0xd9e6b717,0xbdd40e87
	.long	0x67e00000,0x3fd20255
	.long	0x73e6e6b8,0x3db1f257
	.long	0x20400000,0x3fd27837
	.long	0xbe20c8b2,0x3dd7ef45
	.long	0x7a800000,0x3fd2ed98
	.long	0xb91258ea,0x3da1e7f1
	.long	0x37000000,0x3fd36277
	.long	0x34e2d5da,0x3dbfaf2f
	.long	0x29400000,0x3fd3d6d1
	.long	0xbb20d6f9,0xbdd8eecb
	.long	0x36c00000,0x3fd44aa4
	.long	0x45437875,0x3da5784d
	.long	0x58600000,0x3fd4bdee
	.long	0x86c8e20f,0x3dc121cd
	.long	0x99400000,0x3fd530ad
	.long	0xdb5336ff,0x3dd1cd49
	.long	0x17400000,0x3fd5a2e0
	.long	0x44edea3e,0x3dde0f4e
	.long	0x03000000,0x3fd61484
	.long	0x2c6d4754,0x3dc39fc3
	.long	0x9f400000,0x3fd68597
	.long	0xf6d43f59,0x3ddfa6fd
	.long	0x41c00000,0x3fd6f619
	.long	0x4738aa32,0x3de26f78
	.long	0x52800000,0x3fd76607
	.long	0x11774372,0x3d97501f
	.long	0x4b400000,0x3fd7d560
	.long	0xad3910b8,0x3de1d9fb
	.long	0xb9000000,0x3fd84422
	.long	0x4512bfad,0xbde03514
	.long	0x39400000,0x3fd8b24d
	.long	0xdb685d1c,0x3dc4364a
	.long	0x7cc00000,0x3fd91fde
	.long	0x441d0620,0x3dd0c662
	.long	0x45400000,0x3fd98cd5
	.long	0xcf364c48,0x3dcad630
	.long	0x66000000,0x3fd9f930
	.long	0x8df63ee1,0x3dd68001
	.long	0xc3c00000,0x3fda64ee
	.long	0x6d909f25,0x3dc847f9
	.long	0x54400000,0x3fdad00f
	.long	0x80ecf31e,0xbdddfa74
	.long	0x1dc00000,0x3fdb3a91
	.long	0x9479e139,0xbdd9a393
	.long	0x37800000,0x3fdba473
	.long	0x519a1b47,0x3db89295
	.long	0xc9400000,0x3fdc0db4
	.long	0x19f18c7b,0x3dcd93df
	.long	0x0ac00000,0x3fdc7655
	.long	0x5d2e2ffe,0xbdd28e07
	.long	0x43000000,0x3fdcde53
	.long	0x4ba60b78,0x3de609a8
	.long	0xca000000,0x3fdd45ae
	.long	0xced7bdd4,0xbdd379d4
	.long	0x05800000,0x3fddac67
	.long	0x97520377,0xbdde44b0
	.long	0x6b000000,0x3fde127b
	.long	0xb53d9e72,0x3dbd12bf
	.long	0x7f400000,0x3fde77eb
	.long	0xde35847d,0xbde452e5
	.long	0xd4400000,0x3fdedcb6
	.long	0xf25d8cc2,0xbd7ef2c7
	.long	0x0b800000,0x3fdf40dd
	.long	0x1a3992dc,0xbde5f5f4
	.long	0xd3400000,0x3fdfa45d
	.long	0xb94ac7b8,0xbdeeb6d3
	.long	0x73e00000,0x3fe0039c
	.long	0x6ccb2527,0xbdee5bf4
	.long	0x09400000,0x3fe034b7
	.long	0xce0c98e5,0xbdeafb77
	.long	0x94e00000,0x3fe0657e
	.long	0xeada4afb,0xbdc33cc0
	.long	0x08600000,0x3fe095f3
	.long	0xdbc9bebd,0x3daa58fd
	.long	0x5b600000,0x3fe0c614
	.long	0xcd160bd9,0xbdc2f097
	.long	0x8b600000,0x3fe0f5e2
	.long	0x004c46c6,0x3dcf8a54
	.long	0x9be00000,0x3fe1255d
	.long	0xf6a1288f,0x3debd2a8
	.long	0x96400000,0x3fe15485
	.long	0xa5d3e2a4,0xbdd1372c
	.long	0x88c00000,0x3fe1835a
	.long	0xe778c500,0xbda83ec8
	.long	0x87800000,0x3fe1b1dc
	.long	0xede17375,0x3de04284
	.long	0xabe00000,0x3fe1e00b
	.long	0xc946f944,0xbda014c0
	.long	0x13e00000,0x3fe20de8
	.long	0x43714561,0x3dd04763
	.long	0xe2c00000,0x3fe23b71
	.long	0x3884393e,0x3dd93cd4
	.long	0x40800000,0x3fe268a9
	.long	0xf1765bb0,0xbde69259
	.long	0x59400000,0x3fe2958e
	.long	0x4279cec3,0xbddee39e
	.long	0x5e000000,0x3fe2c221
	.long	0xd68fde4c,0x3db2232f
	.long	0x84000000,0x3fe2ee62
	.long	0xc5d5e9ff,0x3dcb2f29
	.long	0x04a00000,0x3fe31a52
	.long	0xafcd51e1,0xbde78b41
	.long	0x1ce00000,0x3fe345f0
	.long	0xbbf7bb21,0xbde1c844
	.long	0x0e000000,0x3fe3713d
	.long	0x14f789e0,0xbdd275f8
	.long	0x1ce00000,0x3fe39c39
	.long	0x9182198f,0xbdd7d1cc
	.long	0x91c00000,0x3fe3c6e4
	.long	0x1ebaf6b0,0x3dce3712
	.long	0xb8a00000,0x3fe3f13f
	.long	0x260e96db,0xbda690bc
	.long	0xe0800000,0x3fe41b4a
	.long	0xec29f5ad,0xbde015be
	.long	0x5b800000,0x3fe44506
	.long	0xfbb680b2,0xbdca92a8
	.long	0x7f000000,0x3fe46e72
	.long	0x39b9b1b8,0xbdab8ea1
	.long	0xa3200000,0x3fe4978f
	.long	0x920cd440,0x3dca7b84
	.long	0x22e00000,0x3fe4c05e
	.long	0x02b07c28,0xbda6b1b7
	.long	0x5ba00000,0x3fe4e8de
	.long	0x528cf6fb,0x3de6ec04
	.long	0xadc00000,0x3fe51110
	.long	0x91ee6b42,0x3dc7b604
	.long	0x7b800000,0x3fe538f5
	.long	0x72245aa1,0x3dd20c3d
	.long	0x29c00000,0x3fe5608d
	.long	0x9939cf0e,0x3dcc30d1
	.long	0x1f800000,0x3fe587d8
	.long	0x57972763,0xbdd9a08a
	.long	0xc5800000,0x3fe5aed6
	.long	0x5cc4bdc5,0x3de09517
	.long	0x87000000,0x3fe5d589
	.long	0x10028e4c,0x3de69b18
	.long	0xd0c00000,0x3fe5fbf0
	.long	0xf2598180,0x3de5cc49
	.long	0x11400000,0x3fe6220d
	.long	0xed487acb,0x3ded7b8d
	.long	0xb8c00000,0x3fe647de
	.long	0xf84d7eff,0x3df105c7
	.long	0x39400000,0x3fe66d66
	.long	0x2dd4dfd8,0xbdec1f79
	.long	0x05400000,0x3fe692a4
	.long	0x7652e56a,0x3de6fb6a
	.long	0x92000000,0x3fe6b798
	.long	0x2bfe3cf4,0x3dd67b31
	.long	0x55000000,0x3fe6dc44
	.long	0xf203bce5,0x3de553ae
	.long	0xc5800000,0x3fe700a7
	.long	0xc61a692d,0xbdcee730
	.long	0x5b400000,0x3fe724c3
	.long	0x1948b32e,0x3ddf5cf6
	.long	0x8f800000,0x3fe74897
	.long	0x82f654c3,0x3dfd4707
	.long	0xdcc00000,0x3fe76c24
	.long	0x1952551b,0x3dcb1b01
	.long	0xbd400000,0x3fe78f6b
	.long	0x501a8226,0x3ded315e
	.long	0xad400000,0x3fe7b26c
	.long	0x73a037cc,0xbde1af02
	.long	0x28c00000,0x3fe7d528
	.long	0x553efbc4,0xbdf02fb6
	.long	0xacc00000,0x3fe7f79e
	.long	0x02a357f1,0xbdca1d9e
	.long	0xb7400000,0x3fe819d0
	.long	0x9bf7622a,0xbdf53ad9
	.long	0xc6000000,0x3fe83bbe
	.long	0xf677c77e,0xbdf908ee
	.long	0x57800000,0x3fe85d69
	.long	0xe9499180,0xbde33d3a
	.long	0xeb000000,0x3fe87ed0
	.long	0xef50a527,0xbdf1d2ea
	.long	0xff800000,0x3fe89ff5
	.long	0x2ab734bc,0xbdf40704
	.long	0x14400000,0x3fe8c0d9
	.long	0x6fa901db,0x3decf49d
	.long	0xa9800000,0x3fe8e17a
	.long	0xc27cfaaa,0x3decc05d
	.long	0x3ec00000,0x3fe901db
	.long	0xad0ccbcb,0x3df778c3
	.long	0x54400000,0x3fe921fb
	.long	0x1a626331,0x3dc0b461
	.long	0x69800000,0x3fe9421b
	.long	0x33179a03,0x3de968a9
	.long	0xff000000,0x3fe9627b
	.long	0x354bc911,0xbde4662d
	.long	0x94400000,0x3fe9831d
	.long	0xe277d043,0xbde49a6c
	.long	0xa9000000,0x3fe9a400
	.long	0x714fcd89,0x3df8341c
	.long	0xbdc00000,0x3fe9c525
	.long	0x942d841a,0xbde3fff9
	.long	0x51000000,0x3fe9e68d
	.long	0x767ac319,0x3deb976b
	.long	0xe2c00000,0x3fea0837
	.long	0x177cfdb1,0xbdc64fc6
	.long	0xf1800000,0x3fea2a25
	.long	0x75c01427,0xbdda6038
	.long	0xfbc00000,0x3fea4c57
	.long	0x1bb40f2a,0x3dddc330
	.long	0x80000000,0x3fea6ece
	.long	0xc850d6e0,0xbde74662
	.long	0xfb400000,0x3fea9189
	.long	0x00d16965,0x3dea0933
	.long	0xeb000000,0x3feab48a
	.long	0x1e8b57b9,0x3df59469
	.long	0xcbc00000,0x3fead7d1
	.long	0x6dc9c51f,0x3da93704
	.long	0x18c00000,0x3feafb5f
	.long	0x0e891026,0x3ddb9843
	.long	0x4d400000,0x3feb1f33
	.long	0xfdcc9ff9,0xbdcd5129
	.long	0xe3400000,0x3feb434e
	.long	0xa0a41a0e,0xbdf7f601
	.long	0x53800000,0x3feb67b2
	.long	0xc9a51699,0xbdd9f2fc
	.long	0x16800000,0x3feb8c5e
	.long	0x466f670a,0xbdb71b40
	.long	0xa3400000,0x3febb152
	.long	0xd24367a3,0xbddd4273
	.long	0x6f800000,0x3febd690
	.long	0x44f9ee90,0xbdeb8656
	.long	0xef800000,0x3febfc17
	.long	0x4e4b19cd,0x3df32750
	.long	0x97400000,0x3fec21e9
	.long	0x60174932,0xbde5215d
	.long	0xd7c00000,0x3fec4805
	.long	0xca509fcf,0xbddae432
	.long	0x21800000,0x3fec6e6d
	.long	0x05a2b966,0xbddc81cf
	.long	0xe2c00000,0x3fec951f
	.long	0x983639ea,0x3dfbe28c
	.long	0x89000000,0x3fecbc1e
	.long	0xb8fcc54a,0x3de52a75
	.long	0x7ec00000,0x3fece369
	.long	0x6e2bdd53,0x3da4dfc2
	.long	0x2d000000,0x3fed0b01
	.long	0x7c1f76fe,0xbd957dc5
	.long	0xfac00000,0x3fed32e5
	.long	0x45acb642,0x3db3657b
	.long	0x4cc00000,0x3fed5b18
	.long	0x3aa43a9e,0x3de16e2c
	.long	0x85c00000,0x3fed8398
	.long	0x02a3c6a5,0xbde63ab4
	.long	0x05800000,0x3fedac67
	.long	0x97520377,0xbdee44b0
	.long	0x29800000,0x3fedd584
	.long	0x41999968,0x3dd42635
	.long	0x4d000000,0x3fedfef0
	.long	0x983da38a,0x3dddfdb5
	.long	0xc8400000,0x3fee28ab
	.long	0x43526c5d,0xbdf3c808
	.long	0xf0000000,0x3fee52b6
	.long	0xb06de4fa,0xbde63cc3
	.long	0x16c00000,0x3fee7d12
	.long	0xb04e7d93,0x3d998d80
	.long	0x8b800000,0x3feea7bd
	.long	0x6af91f30,0x3dfa218b
	.long	0x9a800000,0x3feed2b9
	.long	0x97acf689,0x3de1952c
	.long	0x8bc00000,0x3feefe06
	.long	0xdb5c4d1a,0xbdc7762a
	.long	0xa4000000,0x3fef29a4
	.long	0x017c85fc,0xbd6a8dc3
	.long	0x24800000,0x3fef5594
	.long	0xbbbb718e,0x3da8e661
	.long	0x4a800000,0x3fef81d5
	.long	0x497cd73d,0x3dc8572a
	.long	0x4f400000,0x3fefae68
	.long	0xae6e18fa,0x3de7cbff
	.long	0x68000000,0x3fefdb4d
	.long	0x7ea78d48,0x3deeec8a
	.long	0x62e00000,0x3ff00442
	.long	0x3c43ac1a,0xbdc110e6
	.long	0x4a400000,0x3ff01b07
	.long	0x75bc4774,0x3df01b3f
	.long	0x7e400000,0x3ff031f5
	.long	0x4ce2d096,0x3df4adbe
	.long	0x10800000,0x3ff0490d
	.long	0x82c10772,0xbdcfa151
	.long	0x0fe00000,0x3ff0604e
	.long	0x37517bd1,0x3dd3bc3a
	.long	0x89200000,0x3ff077b8
	.long	0xe01b22eb,0x3de0f5c6
	.long	0x86600000,0x3ff08f4c
	.long	0x34b7fb7b,0xbdf9bc3c
	.long	0x0e800000,0x3ff0a70a
	.long	0xc68f0ff4,0x3df03bcd
	.long	0x26800000,0x3ff0bef1
	.long	0x403b5a47,0x3df68b2b
	.long	0xd0000000,0x3ff0d701
	.long	0x57ba4ad6,0x3df35a50
	.long	0x09e00000,0x3ff0ef3c
	.long	0x38183ba9,0xbde2d69f
	.long	0xcfc00000,0x3ff1079f
	.long	0xa4c23582,0xbdecaa57
	.long	0x1a600000,0x3ff1202d
	.long	0xe7f15aff,0x3dcad893
	.long	0xdf800000,0x3ff138e3
	.long	0x19efe544,0x3dcc4411
	.long	0x11600000,0x3ff151c4
	.long	0xa76ac475,0x3dee5024
	.long	0x9f200000,0x3ff16acd
	.long	0x0e8af659,0x3df44c0b
	.long	0x74800000,0x3ff18400
	.long	0xa4ca4f57,0xbdba974c
	.long	0x79800000,0x3ff19d5c
	.long	0x5a25f72a,0x3dc2df62
	.long	0x92e00000,0x3ff1b6e1
	.long	0xd8da3354,0x3de77c88
	.long	0xa1c00000,0x3ff1d08f
	.long	0xf49d1082,0x3de2171a
	.long	0x83800000,0x3ff1ea66
	.long	0x7ce9b3be,0xbddb5eef
	.long	0x11800000,0x3ff20466
	.long	0x1de424cc,0x3df8d09a
	.long	0x22000000,0x3ff21e8e
	.long	0x394b3186,0xbdef0ac7
	.long	0x86600000,0x3ff238de
	.long	0x8bf7b8bf,0x3dc51f77
	.long	0x0cc00000,0x3ff25357
	.long	0x2bb7111b,0x3dfa95fd
	.long	0x7f400000,0x3ff26df7
	.long	0x64b0a9b1,0xbdd1512a
	.long	0xa3400000,0x3ff288bf
	.long	0x18e684e8,0x3df12419
	.long	0x3ac00000,0x3ff2a3af
	.long	0xce4f6ebe,0xbdb72e81
	.long	0x03000000,0x3ff2bec6
	.long	0xa69c6179,0xbdee5b5b
	.long	0xb5000000,0x3ff2da03
	.long	0x6b22ae89,0x3deff6ff
	.long	0x06000000,0x3ff2f568
	.long	0x29a8e5ae,0xbdecb362
	.long	0xa6000000,0x3ff310f2
	.long	0xd243f145,0x3de88f44
	.long	0x41600000,0x3ff32ca3
	.long	0xdff820e0,0x3de68034
	.long	0x7fa00000,0x3ff34879
	.long	0x5295ddf4,0x3dce7ebe
	.long	0x03c00000,0x3ff36475
	.long	0x45f88767,0x3de5eab8
	.long	0x6c600000,0x3ff38095
	.long	0x91c711ec,0x3de886b1
	.long	0x53800000,0x3ff39cda
	.long	0x10aefe1c,0x3dbb91fe
	.long	0x4e800000,0x3ff3b943
	.long	0x4aa2e1c3,0xbdf356bb
	.long	0xee000000,0x3ff3d5cf
	.long	0x303c34f3,0xbdf0463a
	.long	0xbe200000,0x3ff3f27f
	.long	0x2b7ef915,0x3de411bd
	.long	0x46a00000,0x3ff40f52
	.long	0x472305ef,0xbde8fd54
	.long	0x09e00000,0x3ff42c47
	.long	0x3560ce8b,0x3dfa68cb
	.long	0x86a00000,0x3ff4495d
	.long	0xacb59491,0xbdfdcdda
	.long	0x35a00000,0x3ff46695
	.long	0xc6803028,0x3dcceec5
	.long	0x8c200000,0x3ff483ed
	.long	0xae20cd3f,0x3dec628d
	.long	0xfa600000,0x3ff4a165
	.long	0x30a5d59f,0xbdf4f20d
	.long	0xeb800000,0x3ff4befd
	.long	0xd1246921,0x3db30ba3
	.long	0xc6c00000,0x3ff4dcb4
	.long	0x922b65ab,0xbdd37d68
	.long	0xee400000,0x3ff4fa89
	.long	0x60d4a327,0x3dec287f
	.long	0xc0000000,0x3ff5187c
	.long	0xe85bc1a4,0x3dc49d56
	.long	0x95200000,0x3ff5368c
	.long	0x5bd1e523,0xbdb63036
	.long	0xc2600000,0x3ff554b8
	.long	0x9a653fbc,0x3df14f8e
	.long	0x98800000,0x3ff57300
	.long	0x8799adbe,0xbdffddce
	.long	0x62c00000,0x3ff59163
	.long	0x4677c807,0x3e0ad3a5
	.long	0x6a000000,0x3ff5afe0
	.long	0xf3e67f75,0xbdec3df7
	.long	0xf0c00000,0x3ff5ce76
	.long	0x1e243ad8,0x3dfc26c9
	.long	0x37000000,0x3ff5ed26
	.long	0x82f9d88f,0x3df69c53
	.long	0x78000000,0x3ff60bed
	.long	0xa1b60137,0xbde98cd9
	.long	0xeac00000,0x3ff62acb
	.long	0x038d593e,0x3de4c370
	.long	0xc3400000,0x3ff649c0
	.long	0x6a610a4b,0xbe067cb1
	.long	0x30800000,0x3ff668cb
	.long	0xaa91e345,0xbdcd59a7
	.long	0x5f000000,0x3ff687ea
	.long	0xbb3e0da7,0x3de1c66a
	.long	0x77400000,0x3ff6a71d
	.long	0x447484ba,0xbdf49f35
	.long	0x9e000000,0x3ff6c663
	.long	0x9fa408f5,0xbdfb4727
	.long	0xf5000000,0x3ff6e5bb
	.long	0x95fe5c11,0xbdfc59cc
	.long	0x9a800000,0x3ff70525
	.long	0x0aa8b52d,0x3e02d604
	.long	0xaac00000,0x3ff7249f
	.long	0x4ae67c31,0xbe034aef
	.long	0x3d400000,0x3ff74429
	.long	0x0226c6c8,0x3dc20b8b
	.long	0x68800000,0x3ff763c1
	.long	0xf8a3257f,0xbe0161b1
	.long	0x3f000000,0x3ff78367
	.long	0xc02f3514,0x3ddcbd24
	.long	0xd2000000,0x3ff7a319
	.long	0xa2288de1,0xbdfc01f8
	.long	0x2f400000,0x3ff7c2d8
	.long	0x81b988ed,0x3ddbfe74
	.long	0x63800000,0x3ff7e2a1
	.long	0xc80c4d5f,0xbe01cc20
	.long	0x78400000,0x3ff80274
	.long	0xb8ab545b,0x3df3aa42
	.long	0x76800000,0x3ff82250
	.long	0xf0c39b49,0x3de58a51
	.long	0x64c00000,0x3ff84234
	.long	0x594dab29,0xbdd68427
	.long	0x48000000,0x3ff8621f
	.long	0x7b64bb5f,0x3e015323
	.long	0x24c00000,0x3ff88210
	.long	0x0881fe1d,0xbddc84da
	.long	0xfd400000,0x3ff8a205
	.long	0xb3f75cfe,0x3df5873f
	.long	0xd4000000,0x3ff8c1ff
	.long	0x90244e94,0xbdfcfc58
	.long	0xa9800000,0x3ff8e1fc
	.long	0x22533dd2,0x3de96c66
	.long	0x7ec00000,0x3ff901fb
	.long	0xd7b5cc04,0x3e0738ae
	.long	0x54400000,0x3ff921fb
	.long	0x1a626331,0x3dd0b461
	.long	0x29800000,0x3ff941fb
	.long	0xddc59991,0x3df9e8d2
	.long	0xff000000,0x3ff961f9
	.long	0x0fe1b542,0xbdd1700a
	.long	0xd4c00000,0x3ff981f6
	.long	0xe2aa7fd3,0xbdfaa976
	.long	0xab400000,0x3ff9a1f0
	.long	0x4d8c56ca,0xbdea5a1e
	.long	0x83c00000,0x3ff9c1e6
	.long	0x1ea36240,0x3deef6ce
	.long	0x60800000,0x3ff9e1d7
	.long	0x69984526,0xbdfa4c16
	.long	0x43c00000,0x3ffa01c2
	.long	0xc70938c6,0x3debf674
	.long	0x32000000,0x3ffa21a6
	.long	0x5984e061,0xbdc357c3
	.long	0x30400000,0x3ffa4182
	.long	0x56f44585,0xbde6a024
	.long	0x45000000,0x3ffa6155
	.long	0x0ea4e62b,0x3e05f939
	.long	0x79400000,0x3ffa811e
	.long	0xcc2cf5d5,0x3db5a936
	.long	0xd6c00000,0x3ffaa0dc
	.long	0xd0a64087,0xbdfba3d6
	.long	0x69800000,0x3ffac08f
	.long	0xd256453b,0x3db2ae75
	.long	0x40000000,0x3ffae035
	.long	0x3f3bbe4b,0x3e058eca
	.long	0x6b400000,0x3ffaffcd
	.long	0xb3b162ff,0x3dd862fc
	.long	0xfe000000,0x3ffb1f56
	.long	0xdd01d604,0xbdf10ff0
	.long	0x0e000000,0x3ffb3ed1
	.long	0x882038c2,0xbdfd51d7
	.long	0xb3c00000,0x3ffb5e3a
	.long	0xdcd07256,0xbdfb4c02
	.long	0x0ac00000,0x3ffb7d93
	.long	0xd32ac572,0xbdfc5ea7
	.long	0x31400000,0x3ffb9cd9
	.long	0xd1a5b653,0x3dfcf965
	.long	0x49800000,0x3ffbbc0c
	.long	0x0dbaa75b,0xbda1209a
	.long	0x78000000,0x3ffbdb2b
	.long	0x0506dc03,0x3de80acb
	.long	0xe5800000,0x3ffbfa35
	.long	0x3c1973a2,0xbde558d9
	.long	0xbdc00000,0x3ffc192a
	.long	0xa4abd834,0xbdc03c3b
	.long	0x30c00000,0x3ffc3809
	.long	0x50f9e6e6,0xbe056fb1
	.long	0x71800000,0x3ffc56d0
	.long	0xeb914ded,0xbdec8445
	.long	0xb7c00000,0x3ffc757f
	.long	0x90f3093f,0xbdf3cc98
	.long	0x3e800000,0x3ffc9416
	.long	0x87247153,0x3df6792c
	.long	0x45800000,0x3ffcb293
	.long	0x0041a18b,0x3df2b2e6
	.long	0x10000000,0x3ffcd0f6
	.long	0x8a656fab,0x3e041bff
	.long	0xe6000000,0x3ffcef3d
	.long	0xf2cbf1dc,0x3df70aa1
	.long	0x13400000,0x3ffd0d6a
	.long	0xf97727f5,0x3e04de99
	.long	0xe8800000,0x3ffd2b79
	.long	0xc096e590,0x3dd71a16
	.long	0xba400000,0x3ffd496c
	.long	0x8ce47feb,0xbdd6e83c
	.long	0xe2000000,0x3ffd6741
	.long	0xa721fa7e,0xbe09633a
	.long	0xbd000000,0x3ffd84f8
	.long	0x407bac1a,0x3ddca5d9
	.long	0xae400000,0x3ffda290
	.long	0x1147c641,0xbdc59e12
	.long	0x1c400000,0x3ffdc009
	.long	0xb620caf9,0x3dfa28e9
	.long	0x73000000,0x3ffddd61
	.long	0x2b9ed46c,0xbdfb43a8
	.long	0x22400000,0x3ffdfa99
	.long	0x630c9ceb,0xbe0cebfa
	.long	0x9e800000,0x3ffe17af
	.long	0xafa0c61c,0x3debe2ca
	.long	0x61c00000,0x3ffe34a4
	.long	0x58615a48,0x3e0a6c6d
	.long	0xea400000,0x3ffe5176
	.long	0xf771b50e,0x3dfe5151
	.long	0xba800000,0x3ffe6e26
	.long	0xbd6d668c,0x3df8a06a
	.long	0x5a000000,0x3ffe8ab3
	.long	0xd7d4135c,0x3dfbb0eb
	.long	0x55000000,0x3ffea71c
	.long	0xb09906dc,0x3dda8442
	.long	0x3c000000,0x3ffec361
	.long	0xc44da8a3,0x3dfc16d7
	.long	0xa4c00000,0x3ffedf81
	.long	0xae5890d5,0xbdc4d95c
	.long	0x29000000,0x3ffefb7d
	.long	0x3d218a26,0xbdfb75a7
	.long	0x67400000,0x3fff1753
	.long	0xf1656f6c,0xbe0172f4
	.long	0x02800000,0x3fff3304
	.long	0xdf863851,0xbdcf6b8e
	.long	0xa2800000,0x3fff4e8e
	.long	0xa205a470,0x3df6b3e1
	.long	0xf3800000,0x3fff69f2
	.long	0xa18096af,0xbdde853c
	.long	0xa5800000,0x3fff8530
	.long	0x607f6255,0x3df787de
	.long	0x6dc00000,0x3fffa047
	.long	0x542c5109,0x3de39a31
	.long	0x05400000,0x3fffbb37
	.long	0x176aa69e,0xbde193d1
	.long	0x29400000,0x3fffd5ff
	.long	0x4cbab80a,0x3de95cf6
	.long	0x9bc00000,0x3ffff09f
	.long	0x9e85df82,0xbdf23bcc
	.long	0x11200000,0x4000058c
	.long	0x644dc57f,0xbdfa49be
	.long	0x43400000,0x400012b4
	.long	0x29d6ca5c,0x3df7df94
	.long	0x4b800000,0x40001fc8
	.long	0x90b2f333,0xbdf07669
	.long	0x12800000,0x40002cc8
	.long	0xd8d73d10,0x3dee63d8
	.long	0x83600000,0x400039b3
	.long	0xa3aad512,0xbda62b9d
	.long	0x8ac00000,0x4000468a
	.long	0x20c417ef,0x3dfc9bec
	.long	0x17800000,0x4000534d
	.long	0x07b1cace,0x3dd7f911
	.long	0x1a000000,0x40005ffb
	.long	0xaefbad1c,0x3de4074a
	.long	0x84a00000,0x40006c94
	.long	0x7ea63b40,0x3df40e25
	.long	0x4b800000,0x40007919
	.long	0x397bcf5e,0x3df9321e
	.long	0x64800000,0x40008589
	.long	0xa7ccd3c1,0x3dd346b9
	.long	0xc7200000,0x400091e4
	.long	0xefccf9c7,0xbdfb00e1
	.long	0x6c800000,0x40009e2b
	.long	0xd036d9d3,0xbe04a851
	.long	0x4f600000,0x4000aa5d
	.long	0xad856126,0xbdec74ff
	.long	0x6c400000,0x4000b67a
	.long	0x9512327c,0xbde6003f
	.long	0xc1000000,0x4000c282
	.long	0x6614515e,0xbdec61f5
	.long	0x4d000000,0x4000ce76
	.long	0xe577796c,0xbddf8674
	.long	0x11200000,0x4000da55
	.long	0x0f49689f,0x3dc0b366
	.long	0x0fa00000,0x4000e61f
	.long	0x1d23a023,0x3dffdf4d
	.long	0x4c600000,0x4000f1d4
	.long	0x00a32d5c,0xbdfc94de
	.long	0xcc000000,0x4000fd74
	.long	0x7b12a50e,0x3de89cb5
	.long	0x95200000,0x40010900
	.long	0x7f633dfc,0xbde8a71b
	.long	0xaf200000,0x40011477
	.long	0xa22c576e,0xbddf043b
	.long	0x22e00000,0x40011fda
	.long	0xab4658e4,0xbdf583b2
	.long	0xfa400000,0x40012b27
	.long	0xc88a542e,0xbddc7052
	.long	0x40600000,0x40013661
	.long	0xb5fa251c,0x3dfc7430
	.long	0x01a00000,0x40014186
	.long	0x10065ac4,0x3dd53d2d
	.long	0x4b200000,0x40014c96
	.long	0xfd4d5831,0x3dde4bf5
	.long	0x2b400000,0x40015792
	.long	0xdd63dfb7,0x3de0ceee
	.long	0xb1400000,0x40016279
	.long	0xf44e5d9e,0x3e05a47a
	.long	0xeda00000,0x40016d4c
	.long	0xa9526aef,0xbd9c196f
	.long	0xf1600000,0x4001780b
	.long	0xddc7ed97,0xbdf1c75a
	.long	0xce800000,0x400182b6
	.long	0x4537fbd1,0x3e03f9fd
	.long	0x98600000,0x40018d4d
	.long	0xcd4bedf5,0xbe0643b6
	.long	0x62400000,0x400197d0
	.long	0x7be31051,0xbdceee39
	.long	0x41000000,0x4001a23f
	.long	0xe43916c2,0x3dab5864
	.long	0x49e00000,0x4001ac9a
	.long	0xe65659f4,0x3dca8519
	.long	0x92e00000,0x4001b6e1
	.long	0xd8da3354,0x3df77c88
	.long	0x32e00000,0x4001c115
	.long	0xe2f9d62a,0xbde910ea
	.long	0x41200000,0x4001cb35
	.long	0xc81075db,0xbe002e72
	.long	0xd5a00000,0x4001d541
	.long	0x272999cb,0xbdf8dc27
	.long	0x09000000,0x4001df3b
	.long	0x46435ee9,0x3de1604f
	.long	0xf4a00000,0x4001e920
	.long	0x86402d52,0xbdf84ccd
	.long	0xb2000000,0x4001f2f3
	.long	0x7a698864,0xbdc1d852
	.long	0x5b800000,0x4001fcb3
	.long	0xe9f5ef5e,0x3de8ef47
	.long	0x0be00000,0x40020660
	.long	0x9d33bfe4,0x3deef548
	.long	0xde400000,0x40020ff9
	.long	0x9fe2acc6,0x3e07899e
	.long	0xee800000,0x40021980
	.long	0x8586539c,0xbdea2a41
	.long	0x58600000,0x400222f5
	.long	0x8233d068,0xbde59a3f
	.long	0x38600000,0x40022c57
	.long	0xafae28e0,0x3df61d5b
	.long	0xab600000,0x400235a6
	.long	0xc0e105c1,0x3e07d566
	.long	0xcea00000,0x40023ee3
	.long	0x23305012,0x3de397c9
	.long	0xbf600000,0x4002480e
	.long	0x7f34ee7e,0x3dedaddf
	.long	0x9b800000,0x40025127
	.long	0x7552e9aa,0x3d940c8b
	.long	0x80e00000,0x40025a2e
	.long	0xe67562cc,0x3e06022a
	.long	0x8e200000,0x40026323
	.long	0x36711271,0xbdfe8be0
	.long	0xe1400000,0x40026c06
	.long	0x34e171b8,0x3e03c83c
	.long	0x99800000,0x400274d8
	.long	0x22b44c41,0xbdea7471
	.long	0xd5600000,0x40027d98
	.long	0x0cc87ce6,0x3dfb5597
	.long	0xb4400000,0x40028647
	.long	0xf1599d09,0x3df3fd61
	.long	0x55400000,0x40028ee5
	.long	0x432216e7,0x3e0074b2
	.long	0xd7e00000,0x40029771
	.long	0x55426d45,0x3dede47d
	.long	0x5b800000,0x40029fed
	.long	0xa81068a7,0x3e059214
	.long	0x00000000,0x4002a858
	.long	0xb830bfcf,0xbdd5c614
	.long	0xe4c00000,0x4002b0b1
	.long	0xaba3f9d3,0x3e092d16
	.long	0x2a000000,0x4002b8fb
	.long	0xc83d37e0,0xbdefb3d7
	.long	0xef200000,0x4002c133
	.long	0x7f368cdd,0x3e0953b3
	.long	0x54800000,0x4002c95c
	.long	0x27d71621,0x3df28d47
	.long	0x79e00000,0x4002d174
	.long	0x316a6da4,0xbdd16890
	.long	0x7f400000,0x4002d97c
	.long	0x961b1ace,0xbdf9bc5b
	.long	0x84800000,0x4002e184
	.long	0xe02465ce,0x3df0e16c
	.long	0xa9e00000,0x4002e99c
	.long	0x50352ef1,0xbdd817f9
	.long	0x0f400000,0x4002f1c5
	.long	0x1551a7ab,0xbe03100f
	.long	0xd4800000,0x4002f9fd
	.long	0xa40bccd6,0xbe01cf65
	.long	0x19800000,0x40030247
	.long	0x7c81d6bf,0x3dfa2d1b
	.long	0xfe600000,0x40030aa0
	.long	0x01d5fa59,0x3df1f8ce
	.long	0xa2c00000,0x4003130b
	.long	0xc1d47c8b,0x3e00b18f
	.long	0x26800000,0x40031b87
	.long	0xb6bb61ec,0xbdc357ae
	.long	0xa9200000,0x40032413
	.long	0xb27a6369,0xbdf4621b
	.long	0x4a200000,0x40032cb1
	.long	0x763f4a8f,0xbdddd864
	.long	0x29000000,0x40033560
	.long	0x71fd6503,0xbded9c9c
	.long	0x64e00000,0x40033e20
	.long	0x6523f086,0x3df9c181
	.long	0x1d200000,0x400346f2
	.long	0x95f9190b,0xbdfb092f
	.long	0x70600000,0x40034fd5
	.long	0xf5c5232a,0xbdf4ecd6
	.long	0x7d800000,0x400358ca
	.long	0xf920fb33,0xbdff7d0c
	.long	0x62e00000,0x400361d1
	.long	0x4be8fd7d,0x3de86e2d
	.long	0x3f000000,0x40036aea
	.long	0x5e8566d0,0xbdc27d37
	.long	0x2fc00000,0x40037415
	.long	0x118d12de,0x3dc5db22
	.long	0x53000000,0x40037d52
	.long	0x56fc208e,0xbe0191c2
	.long	0xc5e00000,0x400386a1
	.long	0x920dd0c2,0x3e0b34f6
	.long	0xa6200000,0x40039003
	.long	0xb58e26b3,0xbe0455cb
	.long	0x10000000,0x40039978
	.long	0x34b985e6,0xbe0331cb
	.long	0x20200000,0x4003a2ff
	.long	0x35fdc794,0xbe0145fa
	.long	0xf2800000,0x4003ac98
	.long	0xd680ac6a,0xbdc79adb
	.long	0xa2e00000,0x4003b645
	.long	0x9da56c1b,0x3d6f49bd
	.long	0x4c600000,0x4003c005
	.long	0x462df6e3,0x3ded84a6
	.long	0x09e00000,0x4003c9d8
	.long	0xa5f60849,0xbdfb2be9
	.long	0xf5600000,0x4003d3bd
	.long	0x8540d783,0x3dceb909
	.long	0x28c00000,0x4003ddb7
	.long	0xfd79b218,0x3e02b1b7
	.long	0xbd400000,0x4003e7c3
	.long	0x31f55b0e,0x3e067217
	.long	0xcb800000,0x4003f1e3
	.long	0x4546b57a,0x3df90fbe
	.long	0x6b600000,0x4003fc17
	.long	0xfd77cb88,0x3e0a855f
	.long	0xb4800000,0x4004065e
	.long	0x2dfdfe4d,0x3de26d4b
	.long	0xbd600000,0x400410b9
	.long	0x5950035e,0x3de7590b
	.long	0x9c200000,0x40041b28
	.long	0x03462c6f,0x3df06510
	.long	0x66200000,0x400425ab
	.long	0x467966c2,0xbddbc526
	.long	0x2fe00000,0x40043042
	.long	0xb6a62d3d,0xbdfb6cb1
	.long	0x0d200000,0x40043aed
	.long	0x27372402,0xbe00d8ae
	.long	0x10c00000,0x400445ac
	.long	0x24de2821,0x3de9ef5d
	.long	0x4d200000,0x4004507f
	.long	0x14d2f0d7,0xbdfec1ad
	.long	0xd3200000,0x40045b66
	.long	0x945f6a25,0x3dd07f45
	.long	0xb3400000,0x40046662
	.long	0x51d9d163,0x3dd3d12d
	.long	0xfcc00000,0x40047172
	.long	0x3f20ced0,0x3ddcdff6
	.long	0xbe000000,0x40047c97
	.long	0xc460b56d,0xbdefd9cf
	.long	0x04200000,0x400487d1
	.long	0x85ec5f71,0x3df3a35d
	.long	0xdba00000,0x4004931e
	.long	0x80efdcb7,0xbdfdf504
	.long	0x4f400000,0x40049e81
	.long	0xbc54e040,0x3df44857
	.long	0x69400000,0x4004a9f8
	.long	0x937b6963,0x3df8dad6
	.long	0x32600000,0x4004b584
	.long	0x203bef0d,0x3d8c770b
	.long	0xb2000000,0x4004c124
	.long	0x6a367be0,0x3e048e13
	.long	0xeec00000,0x4004ccd9
	.long	0x4959d5be,0xbdf35804
	.long	0xed400000,0x4004d8a3
	.long	0x23c13aa2,0x3de4e1b8
	.long	0xb1600000,0x4004e482
	.long	0x0d27a8c0,0x3df468e6
	.long	0x3d600000,0x4004f076
	.long	0x86d3f314,0x3dfab843
	.long	0x92200000,0x4004fc7e
	.long	0x9e52e3a3,0x3df78768
	.long	0xaf200000,0x4005089b
	.long	0xaab9c284,0xbe029f1b
	.long	0x92000000,0x400514cd
	.long	0x179103ea,0xbde45027
	.long	0x37400000,0x40052114
	.long	0x61cb6216,0x3e03c415
	.long	0x99e00000,0x40052d6f
	.long	0xa75a55d3,0x3dded669
	.long	0xb2e00000,0x400539df
	.long	0xcb6409f3,0xbde955aa
	.long	0x79c00000,0x40054664
	.long	0xab71c36a,0xbdde1b72
	.long	0xe4600000,0x400552fd
	.long	0xe25f9eb7,0x3dc41d1b
	.long	0xe6c00000,0x40055fab
	.long	0x247755ec,0x3e11a241
	.long	0x73800000,0x40056c6e
	.long	0x5982d93b,0x3e07f5ae
	.long	0x7b000000,0x40057945
	.long	0x81ce421b,0x3dea714b
	.long	0xec000000,0x40058630
	.long	0xe6287509,0xbe10aaa8
	.long	0xb3000000,0x40059330
	.long	0xcdc1a134,0xbe018126
	.long	0xbb000000,0x4005a044
	.long	0x54f98005,0x3e0a53da
	.long	0xed800000,0x4005ad6c
	.long	0x31fa1c07,0xbe164bbe
	.long	0x30800000,0x4005baa9
	.long	0x724fa9e7,0x3dfec315
	.long	0x69c00000,0x4005c7f9
	.long	0x49c8cff7,0xbd839929
	.long	0x7c000000,0x4005d55d
	.long	0xa8203893,0xbe1aabb3
	.long	0x47800000,0x4005e2d5
	.long	0x4d9d0f03,0x3dc5d181
	.long	0xab800000,0x4005f060
	.long	0x39a53408,0x3e0a7fb5
	.long	0x84c00000,0x4005fdff
	.long	0x01eb07f8,0xbe05ebb4
	.long	0xad400000,0x40060bb1
	.long	0x338ef683,0xbe128b26
	.long	0xfd400000,0x40061976
	.long	0xa822b748,0xbe07c5a2
	.long	0x4ac00000,0x4006274f
	.long	0x5b4a549e,0x3e07b699
	.long	0x6a000000,0x4006353a
	.long	0xef14ab75,0xbdf8030f
	.long	0x2c000000,0x40064338
	.long	0xd329b8ff,0x3dee44e8
	.long	0x60800000,0x40065148
	.long	0xbc20f78f,0xbe13e3e3
	.long	0xd3c00000,0x40065f6a
	.long	0x09e8e22c,0x3e11798e
	.long	0x51400000,0x40066d9f
	.long	0x7dfadb85,0x3e086b2e
	.long	0xa1000000,0x40067be5
	.long	0x0b2e31ec,0x3e09f36f
	.long	0x89400000,0x40068a3d
	.long	0x23a7eaa9,0xbdf1ca09
	.long	0xcd800000,0x400698a6
	.long	0xee7c7516,0xbe0428c8
	.long	0x2f000000,0x4006a721
	.long	0xbdfcb3ab,0x3e0f4af1
	.long	0x6d400000,0x4006b5ac
	.long	0x6678c10f,0x3e1197cf
	.long	0x45000000,0x4006c448
	.long	0x0097612f,0xbdf8350f
	.long	0x70400000,0x4006d2f4
	.long	0xc4ae0128,0xbdeb4341
	.long	0xa7400000,0x4006e1b0
	.long	0x2be5865a,0x3dee7616
	.long	0xa0000000,0x4006f07c
	.long	0xbe2a9051,0xbe0d5116
	.long	0x0d800000,0x4006ff58
	.long	0xbe4813cb,0xbda6483b
	.long	0xa1400000,0x40070e42
	.long	0xf702ea60,0x3df24157
	.long	0x0a000000,0x40071d3c
	.long	0xc8e90440,0x3e11b030
	.long	0xf4800000,0x40072c43
	.long	0x3836de9f,0x3e18b285
	.long	0x0b400000,0x40073b5a
	.long	0x707eec44,0x3e0abe53
	.long	0xf6400000,0x40074a7d
	.long	0xdf7f7587,0x3e0227a4
	.long	0x5b800000,0x400759af
	.long	0x69c4146d,0x3e0cea31
	.long	0xdf000000,0x400768ed
	.long	0x2652ac89,0x3e0b070e
	.long	0x22800000,0x40077839
	.long	0xb25e69d2,0x3e0029f0
	.long	0xc5800000,0x40078790
	.long	0xf2649c57,0x3e16b25a
	.long	0x66400000,0x400796f4
	.long	0x229099f4,0xbe122655
	.long	0x9f800000,0x4007a663
	.long	0x90be8ad7,0x3ded1da0
	.long	0x0b800000,0x4007b5de
	.long	0x5c75a10e,0x3e15cced
	.long	0x42400000,0x4007c563
	.long	0xd4519719,0x3e102078
	.long	0xd9800000,0x4007d4f2
	.long	0x690de7e8,0x3e134413
	.long	0x65c00000,0x4007e48c
	.long	0xfddbebee,0xbdf0721c
	.long	0x79000000,0x4007f42f
	.long	0x537a47ec,0x3e0472f8
	.long	0xa4800000,0x400803db
	.long	0xd84d1e5e,0x3e03e9a5
	.long	0x77800000,0x40081390
	.long	0xa415fcda,0xbdf626df
	.long	0x7f800000,0x4008234d
	.long	0x279a2fcb,0xbe013463
	.long	0x48c00000,0x40083312
	.long	0x9b75c695,0x3dd9ba26
	.long	0x5e400000,0x400842de
	.long	0x2aa926e7,0x3e00b4da
	.long	0x49c00000,0x400852b1
	.long	0x44adccf7,0xbe0a51cf
	.long	0x93400000,0x4008628a
	.long	0x16e3fd45,0xbe15f538
	.long	0xc1c00000,0x40087269
	.long	0xce0df60f,0x3de6596a
	.long	0x5c000000,0x4008824e
	.long	0x5260007c,0xbe17daca
	.long	0xe6400000,0x40089237
	.long	0xff43ed28,0x3df7d75a
	.long	0xe5800000,0x4008a225
	.long	0x6082ccc7,0xbe0886df
	.long	0xdc800000,0x4008b217
	.long	0xfbad1fdf,0xbdb73f18
	.long	0x4e400000,0x4008c20d
	.long	0xc29df075,0xbdf92ca0
	.long	0xbc800000,0x4008d205
	.long	0xdc3f35d7,0xbdc7a0f1
	.long	0xa8c00000,0x4008e200
	.long	0xfa8ff5ca,0x3df9b457
	.long	0x94400000,0x4008f1fd
	.long	0x1262ed72,0xbe1633d0
	.long	0xff000000,0x400901fb
	.long	0x541ee425,0xbe078e5a
	.long	0x69800000,0x400911fb
	.long	0xfb02186a,0x3e094f3a
	.long	0x54400000,0x400921fb
	.long	0x1a626331,0x3de0b461
	.type	__libm_atanl_table_128,@object
	.size	__libm_atanl_table_128,8208
	.data
	.section .note.GNU-stack, ""
# End
